Package org.apache.nutch.urlfilter.fast

## Class FastURLFilter.DenyPathQueryRule

- java.lang.Object
- - org.apache.nutch.urlfilter.fast.FastURLFilter.Rule
  - - org.apache.nutch.urlfilter.fast.FastURLFilter.DenyPathQueryRule

- Enclosing class:
    FastURLFilter

      public static class FastURLFilter.DenyPathQueryRule
      extends FastURLFilter.Rule

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.urlfilter.fast.FastURLFilter.Rule

      `pattern`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DenyPathQueryRule​(String regex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `match​(URL url)` |

    - ### Methods inherited from class org.apache.nutch.urlfilter.fast.FastURLFilter.Rule

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DenyPathQueryRule

          public DenyPathQueryRule​(String regex)

  - ### Method Detail

    - #### match

          public boolean match​(URL url)

      Overrides:
        `match` in class `FastURLFilter.Rule`